/* ChanServ special help texts.
 *
 * Auspice Services is copyright (c) 2000-2001 In Mean
 *     E-mail: auspice@khmerpop.com
 * SirvNET Services is copyright (c) 1998-2000 Trevor Klingbeil.
 *     E-mail: <priority1@dal.net>
 * Originally based on EsperNet Services(c) by Andy Church.
 * This program is free but copyrighted software; see the file LICENSE for
 * details.
 */

/*************************************************************************/
static const char *cs_servhelper_help[] = {
"" cs " commands:",
"",
NULL
};
/*************************************************************************/
static const char *cs_servircop_help[] = {
"IRCop",
"",
"    SENDPASS   E-Mail channel password to the founder",
"    FLIST      Lists channels with speicified flag",
"",
NULL
};
/*************************************************************************/
static const char *cs_servop_help[] = {
"Services Operator",
"",
"    FREEZE     Prevent " cs " from interacting with a channel",
"    LEVEL      Set channel access level",
"    SUSPEND    Suspend a channel temporarily",
"    TOPIC      Change a channel topic",
"",
NULL
};
/*************************************************************************/
static const char *cs_servadmin_help[] = {
"The following commands are available to Services Administrators:",
"",
"    GETPASS    Retrieve the founder password for a channel",
"    FORBID     Prevent a channel from being used",
"    HOLD       Prevents a channel from expiring",
"    MARK       Prevents the GETPASSing of a channel",
"    WIPE       Wipe channel access lists",
"",
NULL
};
/*************************************************************************/
static const char *cs_servroot_help[] = {
"The following commands are avalible to Services Roots:",
"",
"    DELETE     Drop a currently registered channel",
"    SETPASS    Set channel password",
"    SETFOUNDER Set channel founder",
"",
NULL
};

/*************************************************************************/

static const char *flist_help[] = {
"Syntax: \2FLIST [\37HELD\37|\37MARKED\37|\37FORBIDDEN\37|\37FROZEN\37]\2",
"",
"Lists all registered channels that have the specified",
"flag settings.",
"This command is limited to \2IRC Operators\2",
NULL
};
 

/*************************************************************************/

static const char *oper_delete_help[] = {
"Syntax: \2DELETE \37channel\37\2",
"",
"Unregisters the named channel.  Only \2Services Roots\2",
"can delete a channel for which they have not identified.",
NULL
};

/*************************************************************************/

static const char *getpass_help[] = {
"Syntax: \2GETPASS \37channel\37\2",
"",
"Returns the password for the given channel.  \2Note that\2",
"\2whenever this command is used, a message including the\2",
"\2person who issued the command and the channel it was used\2",
"\2on will be logged and sent out as a GLOBOPS.\2",
"Limited to \2Services Administrators\2.",
NULL
};

/*************************************************************************/


static const char *freeze_help[] = {
"Syntax: \2FREEZE \37channel\37\2",
"Syntax: \2FREEZE -\37channel\37\2",
"",
"Prevents " cs " from setting user or channel modes.",
"By adding a '-' infront of the channel will remove it",
"as frozen",
"Limited to \2Services Operators\2.",
NULL
};

/*************************************************************************/

static const char *level_help[] = {
"Syntax: \2LEVEL \37channel\37 \37who\37\2",
"",
"The \"who\" can be one of the following:",
"    OPERS    Disallow access to non-opers",
"    SOP      Disallow access to non-SOP",
"    SA       Disallow access to non-SA",
"    SRA      Disallow access to non-SRA",
"    MASTERS  Disallow access to non-MASTER",
"    NONE     Allow anyone to join",
"",
"Limited to \2Services Operators\2",
NULL
};

/*************************************************************************/

static const char *forbid_help[] = {
"Syntax: \2FORBID \37channel\37\2",
"Syntax: \2FORBID -\37channel\37\2",
"",
"Disallows a channel from being registered or used by",
"anyone.  May be cancelled by deleting the channel.",
"Adding a '-' infront of the channel will remove it as forbidden",
"Limited to \2Services Administrators\2.",
NULL
};

/*************************************************************************/

static const char *mark_help[] = {
"Syntax: \2MARK \37channel\37\2",
"Syntax: \2MARK -\37channel\37\2",
"",
"Disallows a channel from being getpassed.",
"MARK is generally used if a services admin has denied",
"a user from receiving a password, and is used to inform",
"the rest of the network not to getpass the channel.",
"Adding a '-' infront of the channel will remove it as marked",
"Limited to \2Services Administrators\2.",
NULL
};


/*************************************************************************/

static const char *hold_help[] = {
"Syntax: \2HOLD \37channel\37\2",
"Syntax: \2HOLD -\37channel\37\2",
"",
"Prevents a channel from being expired.",
"Adding a '-' infront of the channel will remove it as held",
"Limited to \2Services Administrators\2.",
NULL
};

/*************************************************************************/

static const char *ostopic_help[] = {
"Syntax: TOPIC \37channel\37 \37new_topic\37",
"",
"Forces OperServ to change the topic of a given channel",
"",
"Limited to \2Services Operators\2.",
NULL
};

/*************************************************************************/

static const char *suspend_help[] = {
"Syntax: SUSPEND \2ADD\2 \37channel\37 \37time\37",
"        SUSPEND \2DEL\2 \37channel\37",
"        SUSPEND \2LIST\2",
"",
"Suspending a channel will kick all users residing",
"or joining the channel. Similar to FORBID however",
"its time limited, and the registration is not dropped.",
"\2time\2 is in minutes.",
"This command is limited to \2Services Operators\2.",
NULL
};

/*************************************************************************/

static const char *wipe_help[] = {
"Syntax: WIPE \37channel\37 [\37CFOUNDER\37] [\37SOP\37] [\37AOP\37]",
"[\37AVOICE\37] [\37ALL\37]",
"",
"Wipes the given access list of a channel.",
"Example: /MSG " cs " WIPE #USERSCHAN SOP",
"This command is limited to \2Services Administrators\2.",
NULL
};

/*************************************************************************/

static const char *sendpass_help[] = {
"Syntax: \2SENDPASS \37#channel\37\2",
"",
"Sends the channel password to the Channel Founder's",
"E-Mail address. This option only works if the email",
"has been specified.",
"Limited to \2Services Administrators\2",
NULL
};
/*************************************************************************/

static const char *setpass_help[] = {
"Syntax: \2SETPASS \37#channel\37\2 \2password\2",
"",
"Change channel password without being a founder",
"Limited to \2Services Master\2",
NULL
};
/*************************************************************************/

static const char *setfounder_help[] = {
"Syntax: \2SETFOUNDER \37#channel\37\2 \2nick\2",
"",
"Change channel founder without being a founder",
"Limited to \2Services Master\2",
NULL
};
/************************************************************************/
static const char *cs_help_index[] = {
" ",
"\2" cs "\2 allows you to register and control various",
"aspects of channels. " cs " can often prevent",
"malicious users from \"taking over\" channels by limiting",
"who is allowed channel operator priviliges. " cs "'s",
"commands are listed below; to use them, type",
"\2/msg " cs " <command>\2.  For more information on a",
"specific command, type \2/msg " cs " help \37command\37\2.",
" ",
"REGISTER   Register a channel",
"IDENTIFY   Identify yourself with your password",
"SET        Set channel options and information",
"BOTSET     Set channel options and information",
"CFOUNDER   Maintain the Co-Founder list",
"SOP        Maintain the SuperOp list",
"AOP        Maintain the AutoOp list",
#ifdef DEFHALFOP
"HOP        Maintain the Auto HalfOp list",
#endif
"VOP        Maintain the Auto-Voice list",
"AKICK      Maintain the AutoKick list",
"DROP       Cancel the registration of a channel",
"WHY        Find out why a user has ops",
" ",
"Other commands: INFO         INVITE        COUNT",
"                OP/DEOP      CLEAR         VOICE/DEVOICE",
#ifdef DEFHALFOP
"                HALFOP       DEHALFOP",
#endif
#ifdef DEFPROTECT
"                PROTECT      DEPROTECT",
#endif
"                GETKEY       UNBAN         MKICK",
" ",
"WebTV commands: KICK, BAN, MODE, LISTS, MOP",
"                MDEOP",
" ",
"All WebTV command not yet finish coding, please stay tune.",
" ",
NULL
};
/*****************************************************/
static const char *cs_help_register[] = {
" ",
"Syntax: \2REGISTER \37channel\37 \37password\37 \37description\37\2",
" ",
"Registers a channel in the " cs " database.  In order",
"to use this command, you must first be a channel operator",
"on the channel you're trying to register.  The password",
"is used with the \2IDENTIFY\2 command to allow you to",
"make changes to the channel settings at a later time.",
"The last parameter, which ^Bmust^B be included, is a",
"general description of the channel's purpose.",
" ",
"When you register a channel, you are recorded as the",
"\"founder\" of the channel.  The channel founder is allowed",
"to change all of the channel settings for the channel;",
"" cs " will also automatically give the founder",
"channel-operator privileges when s/he enters the channel.",
"See the \2ACCESS\2 command (\2/msg " cs " HELP ACCESS\2) for",
"information on giving a subset of these privileges to",
"other channel users.",
" ",
"\2NOTICE\2: In order to register a channel, you must first",
"registered your nickname.  If you haven't,",
"\2/msg " ns " HELP\2 for information on how to do so.",
" ",
NULL
};
/*****************************************************************/
static const char *cs_help_identify[] = {
" ",
"Syntax: \2IDENTIFY \37channel\37 \37password\37\2",
" ",
"Authenticates you to " cs " as the founder of the given",
"channel.  Many commands require you to use this command",
"before using them.  The password should be the same one",
"you sent with the \2REGISTER\2 command.",
" ",
NULL
};
/*********************************************************************/
static const char *cs_help_nohelp[] = {
" ",
"No help for this command.",
" ",
NULL
};
/********************************************************************/
static const char *cs_help_set[] = {
" ",
"Syntax: \2SET \37channel\37 \37option\37 \37parameters\37\2",
" ",
"Allows the channel founder to set various channel options",
"and other information.  The founder must use the \2IDENTIFY\2",
"command before using \2SET\2.",
" ",
"Available options:",
" ",
"    FOUNDER     Set the founder of a channel",
"    SUCCESSOR   Set/Unset the Successor",
"    PASSWD      Set the founder password",
"    DESC        Set the channel description",
"    URL         Associate a URL with the channel",
"    EMAIL       Associate an E-mail address with the channel",
"    TOPIC       Change the topic on the channel",
"    MLOCK       Lock channel modes on or off",
"    KEEPTOPIC   Retain topic when channel is not in use",
"    TOPICLOCK   Topic can only be changed with SET TOPIC",
"    PRIVATE     Hide channel from " cs " lists",
"    RESTRICTED  Restrict access to the channel",
"    IDENT       Activate " cs " security features",
"    OPGUARD     Prevent users from gaining operator status",
"    MEMO        Set the minimum channel memo level",
/*
"    WELCOME     Set an on-join welcome message to the channel",
*/
"    JOIN        Enable " cs " to join channel",
/*
"    NEWSSET     Modify the news notify type",
*/
"    NEWS        Assign Multi Welcome message to the channel",
"    LEAVEOP     Disable Opguard for the first user",
"    VERBOSE     Notice channel ops when certain commands are used",
"    AUTOVOP     Auto +v to user on join channel.",
"    BADWORDS    Management your badwords list.",
/*
#ifdef DEFHALFOP
"    AUTOHOP     Auto +h to user on join channel.",
#endif
"    AUTOOP      Auto +o to user on join channel.",
*/
" ",
"Type \2/msg " cs " HELP \37option\37\2 for more information on a",
"particular option.",
" ",
NULL
};
/*********************************************************************/
static const char *cs_help_botset[] = {
" ",
"Syntax: \2BOTSET \37channel\37 \37option\37 \37parameters\37\2",
" ",
"Allows the channel Super Operator to set various channel options",
"and other information.",
" ",
"Available options:",
" ",
"    BOT            Set the bot on channel (founder)",
"    BOTCOM         Enable bot command feature",
"    KICKCAP        Kick excess caplock user out",
"    BOLDS          Kick bolds",
"    COLORS         Kick colors",
"    REVERSES       Kick Reverses",
"    UNDERLINES     Kick Underline",
"    BADWORDS       Kick Badword",
"    REPEAT         Kick Repeat (still coding)",
"    PROTECTOP      Protect +o/+v from being kick",
"    GUESSNUM       Activate Guessing game in your channel",
"    GUESSWRD       Activate Guessing word in your channel",
"    BOTSTAY        Make Bot always stay in channel",
"    GREET          Make Bot always greet peoples with their info",
" ",
"\2Note\2: Type \2/msg " bs " LIST\2 for listing the bot.",
" ",
NULL
};
/**********************************************************************/
static const char *cs_help_cfounder[] = {
" ",
"Syntax: \2CFOUNDER \37channel\37 ADD \37nick\37\2",
"        \2CFOUNDER \37channel\37 DEL {\37mask\37 | \37entry-num\37}\2",
"        \2CFOUNDER \37channel\37 LIST [\37mask\37]",
" ",
"Maintains the \2co-founder list\2 for a channel.  The",
"co-founder list specifies which users are given access",
"to all founder " cs " commands except SET FOUNDER and",
"SET PASSWORD, Co-Founder's are also auto-opped.",
" ",
"The \2CFOUNDER ADD\2 command adds the given nickname",
"to the co-founder list with co-founder " cs " access;",
"if the nick or mask is already present on the list, its",
"access level is changed to the cfounder level.",
" ",
"The \2CFOUNDER DEL\2 command removes the given nick or mask",
"from the access list.",
" ",
"The \2CFOUNDER LIST\2 command displays the cfounder list; if",
"a mask is given, only those entries matching the mask are",
"displayed.",
" ",
NULL
};
/***************************************************************/
static const char *cs_help_vop[] = {
" ",
"Syntax: \2VOP \37channel\37 ADD \37nick\37",
"        \2VOP \37channel\37 DEL {\37mask\37 | \37entry-num\37}",
"        \2VOP \37channel\37 LIST [\37mask\37]",
" ",
"Maintains the \2auto-voice list\2 for a channel.  The",
"auto-voice list specifies which users are set +v status",
"on joining the given channel.",
" ",
"The \2VOP ADD\2 command adds the given nickname",
"to the auto-voice list with auto-voice on join; if",
"the nick or mask is already present on the list, its",
"access level is changed to the avoice level.",
" ",
"The \2VOP DEL\2 command removes the given nick or mask",
"From the access list.",
" ",
"The \2VOP LIST\2 command displays the avoice list; if",
"a mask is given, only those entries matching the mask are",
"displayed.",
" ",
NULL
};
/**************************************************************/
static const char *cs_help_hop[] = {
" ",
"Syntax: \2HOP \37channel\37 ADD \37nick\37\2",
"        \2HOP \37channel\37 DEL {\37mask\37 | \37entry-num\37}\2",
"        \2HOP \37channel\37 LIST [\37mask\37]\2",
"        \2HOP \37channel\37 WIPE\2",
"        \2HOP \37channel\37 CLEAN\2",
" ",
"Maintains the ^Bauto-halfop list^B for a channel.  The",
"auto-halfop list specifies which users are given chan",
"halfop status on joining the given channel.",
" ",
"The \2HOP ADD\2 command adds the given nickname",
"to the auto-halfop list with chanops on join; if",
"the nick or mask is already present on the list, its",
"access level is changed to the Hop level.",
" ",
"The \2HOP DEL\2 command removes the given nick or mask",
"from the access list.",
" ",
"The \2HOP LIST\2 command displays the hop list; if",
"a mask is given, only those entries matching the mask are",
"displayed.",
" ",
"The \2HOP WIPE\2 command removes all the enteries on the",
"Auto-halfOp access list. This command is limited to only",
"Co-Founders.",
" ",
"The \2HOP CLEAN\2 command removes all expired nicknames",
"from the access list.",
" ",
NULL
};
/***********************************************************/
static const char *cs_help_aop[] = {
" ",
"Syntax: \2AOP \37channel\37 ADD \37nick\37\2",
"        \2AOP \37channel\37 DEL {\37mask\37 | \37entry-num\37}\2",
"        \2AOP \37channel\37 LIST [\37mask\37]\2",
" ",
"Maintains the \2auto-op list\2 for a channel.  The",
"auto-op list specifies which users are given chanop",
"status on joining the given channel.",
" "
"The \2AOP ADD\2 command adds the given nickname",
"to the auto-op list with chanops on join; if",
"the nick or mask is already present on the list, its",
"access level is changed to the aop level.",
" ",
"The \2AOP DEL\2 command removes the given nick or mask",
"from the access list.",
" ",
"The \2AOP LIST\2 command displays the aop list; if",
"a mask is given, only those entries matching the mask are",
"displayed.",
" ",
NULL
};
/*************************************************************/
static const char *cs_help_sop[] = {
" ",
"Syntax: \2SOP \37channel\37 ADD \37nick\37\2",
"        \2SOP \37channel\37 DEL {\37mask\37 | \37entry-num\37}\2",
"        \2SOP \37channel\37 LIST [\37mask\37]\2",
" ",
"Maintains the \2super-op list\2 for a channel.  The super-op",
"list specifies which users are given access to certain",
"" cs " commands, SOP's are also auto-opped.",
" ",
"The \2SOP ADD\2 command adds the given nickname",
"to the super-op list with super-op chanserv access; if",
"the nick or mask is already present on the list, its",
"access level is changed to the sop level.",
" ",
"The \2SOP DEL\2 command removes the given nick or mask",
"from the access list.",
" ",
"The \2SOP LIST\2 command displays the sop list; if",
"a mask is given, only those entries matching the mask are",
"displayed.",
" ",
NULL
};
/**********************************************************/
static const char *cs_help_akick[] = {
" ",
"Syntax: \2AKICK \37channel\37 ADD \37mask\37 [\37reason\37]\2",
"        \2AKICK \37channel\37 DEL \37mask\37\2",
"        \2AKICK \37channel\37 LIST [\37mask\37]\2",
" ",
"Maintains the \2AutoKick list\2 for a channel.  If a user",
"on the AutoKick list attempts to join the channel,",
"" cs " will ban that user from the channel, then kick",
"the user.",
" ",
"The \2AKICK ADD\2 command adds the given nick or usermask",
"to the AutoKick list.  If a \37reason\37 is given with",
"the command, that reason will be used when the user is",
"kicked; if not, the default reason is \"You have been",
"banned from the channel\".",
" ",
"The \2AKICK DEL\2 command removes the given nick or mask",
"from the AutoKick list.  It does not, however, remove any",
"bans placed by an AutoKick; those must be removed",
"manually.",
" ",
"The \2AKICK LIST\2 command displays the AutoKick list, or",
"optionally only those AutoKick entries which match the",
"given mask.",
" ",
NULL
};
/***************************************************************/
static const char *cs_help_drop[] = {
" ",
"Syntax: \2DROP \37channel\37\2",
" ",
"Unregisters the named channel.  Can only be used by",
"\2channel founder\2, who must use the \2IDENTIFY\2 command first.",
" ",
NULL
};
/****************************************************************/
static const char *cs_help_why[] = {
" ",
"Syntax: \2WHY \37#channel\37 \37nick\37\2",
" ",
"" cs " will give information on why a user",
"has ops in a channel.",
" ",
NULL
};
/*****************************************************************/
static const char *cs_help_info[] = {
" ",
"Syntax: \2INFO \37channel\37\2",
" ",
"Lists information about the named registered channel,",
"including its founder, time of registration, last time",
"used, description, and mode lock, if any.",
" ",
NULL
};
/*****************************************************************/
static const char *cs_help_invite[] = {
" ",
"Syntax: \2INVITE \37channel\37\2",
" ",
"Tells " cs " to invite you into the given channel.",
"You must be atleast a VOP to use this command.",
" ",
NULL
};
/******************************************************************/
static const char *cs_help_count[] = {
" ",
"Syntax: \2COUNT \37channel\37\2",
" ",
"Displays amount of nicks under each channel access list in",
"numeric form. ie: VOP: 2, HOP: 3, SOP: 1, AOP: 11, CF: 0, AKICK: 1",
" ",
NULL
};
/************************************************************/
static const char *cs_help_op[] = {
" ",
"Syntax: \2OP \37#channel\37 \37nick\37",
" ",
"Gives Channel Operator Status to",
"the select nick on a channel.",
" ",
"See also: \2DEOP\2",
" ",
NULL
};
/***************************************************************/
static const char *cs_help_deop[] = {
" ",
"Syntax: \2DEOP \37#channel\37 \37nick\37",
" ",
"Removes Channel Operator Status from",
"the selected nick on a channel.",
" ",
"See also: \2OP\2",
" ",
NULL
};
/**********************************************************************/
static const char *cs_help_clear[] = {
" ",
"Syntax: \2CLEAR \37channel\37 \37what\37\2",
" ",
"Tells " cs " to clear certain settings on a channel.  \37what\37",
"can be any of the following:",
" ",
"     \2modes\2   Resets all modes on the channel (i.e. clears",
"             modes i,k,l,m,n,p,s,t).",
"     \2bans\2    Clears all bans on the channel.",
"     \2ops\2     Removes channel-operator status (mode +o) from",
"             all channel operators.",
"     \2halfop\2  Removes channel-halfoperator status (mode +h) from",
"             all channel operators.",
"     \2voices\2  Removes \"voice\" status (mode +v) from anyone",
"             with that mode set.",
"     \2users\2   Removes (kicks) all users from the channel.",
" ",
"Your access level on the channel must be at least 10 to use",
"this command.",
" ",
NULL
};
/**************************************************************/
static const char *cs_help_voice[] = {
" ",
"Syntax: \2VOICE \37#channel\37 \37nick\37",
" ",
"Gives Channel Voice Operator Status to",
"the select nick on a channel.",
" ",
"See also: \2DEVOICE\2",
" ",
NULL
};
/***************************************************************/
static const char *cs_help_devoice[] = {
" ",
"Syntax: \2DEVOICE \37#channel\37 \37nick\37",
" ",
"Removes Channel Voice Operator Status from",
"the selected nick on a channel.",
" ",
"See also: \2VOICE\2",
" ",
NULL
};
/***************************************************************/
static const char *cs_help_halfop[] = {
" ",
"Syntax: \2HALFOP \37#channel\37 \37nick\37",
" ",
"Gives Channel Half Operator Status to",
"the select nick on a channel.",
" ",
"See also: \2DEHALFOP\2",
" ",
NULL
};
/***************************************************************/
static const char *cs_help_dehalfop[] = {
" ",
"Syntax: \2DEHALFOP \37#channel\37 \37nick\37",
" ",
"Removes Channel Half Operator Status from",
"the selected nick on a channel.",
" ",
"See also: \2HALFOP\2",
" ",
NULL
};
/*****************************************************************/
static const char *cs_help_unban[] = {
" ",
"Syntax: \2UNBAN \37channel\37\2",
" ",
"Tells " cs " to remove all bans preventing you from",
"entering the given channel. You must have atleast",
"vop access to the channel.",
" ",
"Syntax: \2UNBAN \37channel\37\2 ALL",
" ",
"Tells " cs " to remove all bans from a channel",
" ",
NULL
};
/******************************************************************/
static const char *cs_help_protect[] = {
" ",
"Syntax: \2PROTECT \37#channel\37 \37nick\37",
" ",
"Gives Channel Protect Status to",
"the select nick on a channel.",
" ",
"See also: \2DEPROTECT\2",
" ",
NULL
};
/***************************************************************/
static const char *cs_help_deprotect[] = {
" ",
"Syntax: \2DEPROTECT \37#channel\37 \37nick\37",
" ",
"Removes Channel Protect Status from",
"the selected nick on a channel.",
" ",
"See also: \2PROTECT\2",
" ",
NULL
};
/*****************************************************************/
static const char *cs_help_mkick[] = {
" ",
"Syntax: \2MKICK \37#channel\37",
" ",
"Mass Kick all user from given channel",
" ",
NULL
};
/****************************************************************/
static const char *cs_help_getkey[] = {
" ",
"Syntax: \2GETKEY \37#channel\37",
" ",
"Get channel key on locked",
" ",
NULL
};
/******************************************************************/
static const char *cs_help_list[] = {
" ",
"Syntax: \2LIST \37mask\37",
" ",
"Lists all registered channels matching the given mask.",
"(Channels with the PRIVATE option set are not listed, of",
"course.)",
" ",
NULL
};
/*****************************************************************/
static const char *cs_help_kick[] = {
" ",
"Syntax: \2KICK \37#channel\37 \37nick\37 \37reason\37\2"
" ",
"Build-in command for WebTV user to kick given nick from",
"Given channel.",
" ",
"Require: HOP"
" ",
NULL
};
/****************************************************************/
static const char *cs_help_ban[] = {
" ",
"Syntax: \2BAN \37#channel\37 \37nick|host\37\2"
" ",
"Build-in command for WebTV user to ban given nick or host from",
"Given channel.",
" ",
"Require: AOP"
" ",
NULL
};
/***************************************************************/
static const char *cs_help_mode[] = {
" ",
"Syntax: \2MODE \37#channel\37 +/-\37modes\37\2"
" ",
"Build-in command for WebTV user to set channel mode",
" ",
"Require: SOP"
" ",
NULL
};
/**************************************************************/
static const char *cs_help_lists[] = {
" ",
"Syntax: \2LISTS \37#channel\37 \37modes|ban\37\2"
" ",
"Build-in command for WebTV user to see channel mode or ban list",
" ",
NULL
};
/**************************************************************/
static const char *cs_help_mop[] = {
" ",
"Syntax: \2MOP \37#channel\37\2"
" "
"Build-in command for WebTV user to mass +o all user",
" ",
"Require: SOP"
" ",
NULL
};
/***************************************************************/
static const char *cs_help_mdeop[] = {
" ",
"Syntax: \2MDEOP \37#channel\37\2"
" "
"Build-in command for WebTV user to mass -o all user",
" ",
"Require: SOP"
" ",
NULL
};
/****************************************************************/
static const char *cs_help_set_founder[] = {
" ",
"Syntax: \2SET \37channel\37 FOUNDER",
" ",
"Changes the founder of a channel to the person",
"who issued the command. Identification of the",
"channel password is required.",
" ",
NULL
};
/****************************************************************/
static const char *cs_help_set_successor[] = {
" ",
"Syntax: \2SET \37channel\37 SUCCESSOR \37nick|NONE\37",
" ",
"Changes the successor of a channel.  If the founder's",
"nickname expires or is dropped while the channel is still",
"registered, the successor will become the new founder of the",
"channel.  However, if the successor already has too many",
"channels registered, the channel will be dropped",
"instead, just as if no successor had been set.  The new",
"nickname must be a registered one.",
" ",
NULL
};
/****************************************************************/
static const char *cs_help_set_passwd[] = {
" ",
"Syntax: \2SET \37channel\37 PASSWD \37new-password\37\2",
" ",
"Sets the password used to identify as the founder of the",
"channel.",
" ",
NULL
};
/*******************************************************************/
static const char *cs_help_set_desc[] = {
" ",
"Syntax: \2SET \37channel\37 DESC \37description\37\2",
" ",
"Sets the description for the channel, which shows up with",
"the \2LIST\2 and \2INFO\2 commands.",
" ",
NULL
};
/******************************************************************/
static const char *cs_help_set_url[] = {
" ",
"Syntax: \2SET \37channel\37 URL \37url\37\2",
" ",
"Associates the given URL with the channel.  This URL will",
"be displayed whenever someone requests information on the",
"channel with the INFO command.",
" ",
NULL
};
/******************************************************************/
static const char *cs_help_set_email[] = {
" ",
"Syntax: \2SET \37channel\37 EMAIL \37address\37\2",
" ",
"Associates the given E-mail address with the channel.",
"This address will be displayed whenever someone requests",
"information on the channel with the INFO command.",
" ",
NULL
};
/*****************************************************************/
static const char *cs_help_set_topic[] = {
" ",
"Syntax: \2SET \37channel\37 TOPIC \37topic\37\2",
" ",
"Causes " cs " to set the channel topic to the one",
"specified.",
" ",
NULL
};
/****************************************************************/
static const char *cs_help_set_mlock[] = {
" ",
"Syntax: \2SET \37channel\37 MLOCK \37modes\37\2",
" ",
"Sets the mode-lock parameter for the channel.  " cs "",
"allows you to define certain channel modes to be always",
"on (or off).  The modes that can be locked are \2i\2, \2k\2, \2l\2,",
"\2m\2, \2n\2, \2p\2, \2s\2, and \2t\2; each of these modes can be locked",
"on,",
"locked off, or not locked.  The <modes> parameter is",
"constructed exactly the same way as a \2/MODE\2 command; that",
"is, modes followed by a + are locked on, and modes",
"followed by a - are locked off.",
" ",
"\2Warning:\2  If you set a mode-locked key, as in the second",
"example below, you should also set the RESTRICTED option for",
"the channel (see \2HELP SET RESTRICTED\2), or anyone entering",
"the channel when it is empty will be able to see the key!",
" ",
"Examples:",
" ",
"    SET #channel MLOCK +nt-iklps",
"       Forces modes n and t on, and modes i, k, l, p, and",
"       s off.  Mode m is left free to be either on or off.",
" ",
"    SET #channel MLOCK +knst-ilmp my-key",
"       Forces modes k, n, s, and t on, and modes i, l, m,",
"       and p off.  Also forces the channel key to be",
"       \"my-key\".",
" ",
"    SET #channel MLOCK +",
"       Removes the mode lock; all channel modes are free",
"       to be either on or off.",
" ",
NULL
};
/***********************************************************/
static const char *cs_help_set_keeptopic[] = {
" ",
"Syntax: \2SET \37channel\37 KEEPTOPIC {ON|OFF}\2",
" ",
"Enables or disables the \2topic retention\2 option for a",
"channel.  When \2topic retention\2 is set, the topic for the",
"channel will be remembered by " cs " even after the",
"last user leaves the channel, and will be restored the",
"next time the channel is created.",
" ",
NULL
};
/**********************************************************/
static const char *cs_help_set_topiclock[] = {
" ",
"Syntax: \2SET \37channel\37 TOPICLOCK [VOP|HOP|AOP|SOP|CFOUNDER|FOUNDER|OFF}\2",
" ",
"Enables or disables the \2topic lock\2 option for a channel.",
"When \2topic lock\2 is set, " cs " will not allow the",
"channel topic to be changed unless access permits.",
"Also, " cs " will only give access to the SET TOPIC",
"command to the level (and below)  you specify.",
" ",
NULL
};
/********************************************************************/
static const char *cs_help_set_private[] = {
" ",
"Syntax: \2SET \37channel\37 PRIVATE {ON|OFF}\2",
" ",
"Enables or disables the \2private\2 option for a channel.",
"When \2private\2 is set, a \2/msg ChanServ LIST\2 will not",
"include the channel in any lists."
" ",
NULL
};
/********************************************************************/
static const char *cs_help_set_rest[] = {
" ",
"Syntax: \2SET \37channel\37 RESTRICTED {ON|OFF}\2",
" ",
"Enables or disables the \2restricted access\2 option for a",
"channel.  When \2restricted access\2 is set, users who would",
"normally be disallowed from having channel operator",
"privileges (users with negative access levels and, if",
"\2secure ops\2 is set, users not on the access list) will",
"instead be kicked and banned from the channel.",
" ",
NULL
};
/**********************************************************/
static const char *cs_help_set_ident[] = {
" ",
"Syntax: \2SET \37channel\37 IDENT {ON|OFF}\2",
" ",
"When IDENT is set to ON, ChanServ will only",
"op people who have IDENTIFIED to their nick.",
"Also, with IDENT set, channel access lists",
"must only contain nicknames.",
" ",
NULL
};
/**************************************************/
static const char *cs_help_set_opguard[] = {
" ",
"Syntax: \2SET \37channel\37 OPGUARD {ON|OFF}\2",
" ",
"When Op Guard is set to ON, only people with",
"access to the channel will be permitted operator",
"status. This includes all AOp's, SOp's, and",
"(Co)-Founder(s).",
" ",
NULL
};
/**************************************************/
static const char *cs_help_set_memo[] = {
" ",
"Syntax: \2SET \37channel\37 MEMO <\37level\37>\2",
" ",
"This command sets the channel's minimum access",
"level required to send channel memos.",
"<level> may be: VOP, AOP, SOP, CF, or FOUNDER",
"Specifying \"NONE\" will disable all channel",
"memos.",
" ",
NULL
};
/************************************************/
static const char *cs_help_set_welcome[] = {
" ",
"Syntax: \2SET \37channel\37 WELCOME <\37message\37>\2",
"Syntax: \2SET \37channel\37 WELCOME NONE",
" ",
"Setting this option will have " cs " send",
"a notice to anyone joining a channel. By",
"default, no welcome message is used. When",
"`NONE' is specified in the command, the",
"welcome message will be disabled.",
" ",
NULL
};
/******************************************************************/
static const char *cs_help_set_join[] = {
" ",
"Syntax: \2SET \37channel\37 JOIN {ON|OFF}\2",
" ",
"Setting this option will have " cs " join",
"Channel."
" ",
NULL
};
/******************************************************************/
static const char *cs_help_set_unsecure[] = {
" ",
"Syntax: \2SET \37channel\37 UNSECURE {ON|OFF}\2",
" ",
"When a channel is UNSECURE, anyone matching",
"the founder's access list may make changes",
"to the channel.",
"This feature is highly discouraged unless",
"You know exactly what you are doing.",
" ",
"\2Note\2: The IDENT setting will over-rule",
"      UNSECURE. The founder will still",
"      require to identify first.",
" ",
NULL
};
/********************************************************/
static const char *cs_help_set_autoop[] = {
" ",
"Syntax: \2SET \37channel\37 AUTOOP {ON|OFF}\2",
" ",
"Make " cs " +o to all user one join",
" ",
NULL
};
/********************************************************/
static const char *cs_help_set_autohop[] = {
" ",
"Syntax: \2SET \37channel\37 AUTOHOP {ON|OFF}\2",
" ",
"Make " cs " +h to all user one join",
" ",
NULL
};
/*********************************************************/
static const char *cs_help_set_autovop[] = {
" ",
"Syntax: \2SET \37channel\37 AUTOVOP {ON|OFF}\2",
" ",
"Make " cs " +v to all user one join",
" ",
NULL
};
/**********************************************************/
static const char *cs_help_botset_bot[] = {
" ",
"Syntax: \2BOTSET \37channel\37 BOT \37botnick|NONE\37\2",
" ",
"Allow founder join the services bot to protect their channel.",
" ",
NULL
};
/***********************************************************/
static const char *cs_help_botset_botcom[] = {
" ",
"Syntax: \2BOTSET \37channel\37 BOTCOM {ON|OFF}\2",
" ",
"Make bot listend to channel command.",
" ",
NULL
};
/************************************************************/
static const char *cs_help_botset_kickcap[] = {
" ",
"Syntax: \2BOTSET \37channel\37 KICKCAP {ON|OFF}\2",
" ",
"Make bot kick all excess Caplock.",
" ",
NULL
};
/*************************************************************/
static const char *cs_help_botset_bolds[] = {
" ",
"Syntax: \2BOTSET \37channel\37 BOLDS {ON|OFF}\2",
" ",
"Make bot kick all user who use bolds in channel.",
" ",
NULL
};
/**************************************************************/
static const char *cs_help_botset_colors[] = {
" ",
"Syntax: \2BOTSET \37channel\37 COLORS {ON|OFF}\2",
" ",
"Make bot kick all user who use colors in channel.",
" ",
NULL
};
/*************************************************************/
static const char *cs_help_botset_reverses[] = {
" ",
"Syntax: \2BOTSET \37channel\37 REVERSES {ON|OFF}\2",
" ",
"Make bot kick all user who use reverses in channel.",
" ",
NULL
};
/*************************************************************/
static const char *cs_help_botset_underline[] = {
" ",
"Syntax: \2BOTSET \37channel\37 UNDERLINE {ON|OFF}\2",
" ",
"Make bot kick all user who use underline in channel.",
" ",
NULL
};
/**************************************************************/
static const char *cs_help_botset_badwords[] = {
" ",
"Syntax: \2BOTSET \37channel\37 BADWORDS {ON|OFF}\2",
" ",
"Make bot kick all user who use badwords in channel.",
" ",
NULL
};
/***************************************************************/
static const char *cs_help_botset_repeat[] = {
" ",
"Syntax: \2BOTSET \37channel\37 REPEAT {ON|OFF}\2",
" ",
"Make bot kick all user who do repeat in channel.",
" ",
NULL
};
/****************************************************************/
static const char *cs_help_botset_protectop[] = {
" ",
"Syntax: \2BOTSET \37channel\37 PROTECTOP {ON|OFF}\2",
" ",
"Bot will not kick any op out..",
" ",
NULL
};
/*****************************************************************/
static const char *cs_help_botset_botstay[] = {
" ",
"Syntax: \2BOTSET \37channel\37 BOTSTAY {ON|OFF}\2",
" ",
"Make bot stay in channel forever.",
" ",
NULL
};
